Dismiss a possible duplicate
POST /v2/companies/duplicates/dismiss
Parameters
Header parameters
apps/rest-api/src/shared/idempotency.ts.Request body
Content-Type: application/json
Example
{
"company_ids": [
"00000000-0000-0000-0000-000000000000"
]
}
Responses
200 — Successful response
Content-Type: application/json
Example
{
"data": {
"suggestion": {
"company_a_id": "00000000-0000-0000-0000-000000000000",
"company_b_id": "00000000-0000-0000-0000-000000000000",
"reason": "string",
"created_at": "2026-11-13T08:29:48.848Z",
"dismissed_at": "2026-11-13T08:29:48.848Z"
}
}
}
400 — Request body failed validation.
Content-Type: application/json
401 — Missing or invalid API key.
Content-Type: application/json
403 — Valid key, insufficient permission.
Content-Type: application/json
404 — Resource does not exist.
Content-Type: application/json
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
429 — Rate limit exceeded.
Content-Type: application/json
500 — Unexpected server error.
Content-Type: application/json
Code samples
curl https://api.prod.getdex.com/v2/companies/duplicates/dismiss \
--request POST \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"company_ids": [
"00000000-0000-0000-0000-000000000000"
]
}'
fetch('https://api.prod.getdex.com/v2/companies/duplicates/dismiss', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
company_ids: ['00000000-0000-0000-0000-000000000000']
})
})
requests.post(
"https://api.prod.getdex.com/v2/companies/duplicates/dismiss",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"company_ids": [
"00000000-0000-0000-0000-000000000000"
]
}
)
Merge companies
Merge up to 50 source companies (`source_ids`) into `target_id`: contacts, roles, tags, custom field values and links, views, favorites, org chart members and saved view filters move to the target, an
Add tags to companies
Tag up to 100 companies (`companyIds`), or one page of a frozen selection, with up to 50 existing workspace tags (`tagIds`), the cartesian product. A selection page is `{ selection_id, offset, limit?

